Loading...
Searching...
No Matches
block_detail.h File Reference
`#include <gnuradio/api.h>`
`#include <gnuradio/buffer.h>`
`#include <gnuradio/buffer_reader.h>`
`#include <gnuradio/high_res_timer.h>`
`#include <gnuradio/logger.h>`
`#include <gnuradio/runtime_types.h>`
`#include <gnuradio/tags.h>`
`#include <gnuradio/tpb_detail.h>`
`#include <stdexcept>`
Include dependency graph for block_detail.h:

Go to the source code of this file.

## Classes

class | gr::block_detail
| Implementation details to support the signal processing abstraction. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.

## Functions

GR_RUNTIME_API block_detail_sptr | gr::make_block_detail (unsigned int ninputs, unsigned int noutputs)
GR_RUNTIME_API long | gr::block_detail_ncurrently_allocated ()